package com.ruoyi.system.domain.zb;

import java.io.Serializable;
import java.util.Date;

public class ZbDutyWorkRule implements Serializable {
    private String id;

    /**
     * 是否自动发布
     *
     * @mbg.generated
     */
    private Byte autoFlag;

    /**
     * 轮训天数
     *
     * @mbg.generated
     */
    private Integer days;

    /**
     * 该轮训的第一天
     *
     * @mbg.generated
     */
    private Date firstDay;

    /**
     * 该轮训的最后一天
     *
     * @mbg.generated
     */
    private Date lastDay;

    /**
     * 创建时间
     *
     * @mbg.generated
     */
    private Date createTime;

    private String createUser;

    private String createUserName;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Byte getAutoFlag() {
        return autoFlag;
    }

    public void setAutoFlag(Byte autoFlag) {
        this.autoFlag = autoFlag;
    }

    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    public Date getFirstDay() {
        return firstDay;
    }

    public void setFirstDay(Date firstDay) {
        this.firstDay = firstDay;
    }

    public Date getLastDay() {
        return lastDay;
    }

    public void setLastDay(Date lastDay) {
        this.lastDay = lastDay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", autoFlag=").append(autoFlag);
        sb.append(", days=").append(days);
        sb.append(", firstDay=").append(firstDay);
        sb.append(", lastDay=").append(lastDay);
        sb.append(", createTime=").append(createTime);
        sb.append(", createUser=").append(createUser);
        sb.append(", createUserName=").append(createUserName);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        ZbDutyWorkRule other = (ZbDutyWorkRule) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getAutoFlag() == null ? other.getAutoFlag() == null : this.getAutoFlag().equals(other.getAutoFlag()))
            && (this.getDays() == null ? other.getDays() == null : this.getDays().equals(other.getDays()))
            && (this.getFirstDay() == null ? other.getFirstDay() == null : this.getFirstDay().equals(other.getFirstDay()))
            && (this.getLastDay() == null ? other.getLastDay() == null : this.getLastDay().equals(other.getLastDay()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getCreateUser() == null ? other.getCreateUser() == null : this.getCreateUser().equals(other.getCreateUser()))
            && (this.getCreateUserName() == null ? other.getCreateUserName() == null : this.getCreateUserName().equals(other.getCreateUserName()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getAutoFlag() == null) ? 0 : getAutoFlag().hashCode());
        result = prime * result + ((getDays() == null) ? 0 : getDays().hashCode());
        result = prime * result + ((getFirstDay() == null) ? 0 : getFirstDay().hashCode());
        result = prime * result + ((getLastDay() == null) ? 0 : getLastDay().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getCreateUser() == null) ? 0 : getCreateUser().hashCode());
        result = prime * result + ((getCreateUserName() == null) ? 0 : getCreateUserName().hashCode());
        return result;
    }
}